# Asterisk Project : Asterisk 13 ManagerEvent_PresenceStateChange

Created and last modified by wikibot on Aug 11, 2014

# PresenceStateChange

### Synopsis

Raised when a presence state changes

### Description

This differs from the `PresenceStatus` event because this event is raised for all presence state changes, not only for changes that affect dialplan hints.

### Syntax

    Event: PresenceStateChange
    Presentity: <value>
    Status: <value>
    Subtype: <value>
    Message: <value>

##### Arguments

- `Presentity` - The entity whose presence state has changed
- `Status` - The new status of the presentity
- `Subtype` - The new subtype of the presentity
- `Message` - The new message of the presentity

### Class

CALL

### See Also

- Asterisk 13 ManagerEvent_PresenceStatus

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420717